config/dotfiles_user_server/getmail/getmailrc, set [options] delete = true
- ensure the following DNS TXT record for @: v=spf1 mx -all
+
+- run (as root) config/setup_opendkim.sh $selector to set up system for DKIM key
+ signing, with a second parameter $keyfile if a key already exists; without
+ second parameter, this will generate a new key and print the DNS record to add
--- /dev/null
+#!/bin/sh
+set -x
+set -e
+selector=$1
+file=$2
+
+if [ "$(id -u)" -eq "0" ]; then
+ echo "Must be run as root."
+ exit
+fi
+
+apt-get -y install opendkim opendkim-tools
+cp ~/config/systemfiles/opendkim.conf /etc/opendkim.conf
+
+if [ -f /etc/opendkim/dkim.key ]; then
+ cp /etc/opendkim/dkim.key /etc/opendkim/dkim.key~
+fi
+
+sed -r -i 's/^#Selector .*$/Selector '$selector'/' /etc/opendkim.conf
+
+if [ ! -f $file ]; then
+ opendkim-genkey -d plomlompom.com -s $selector
+ mv "$selector".private /etc/opendkim/dkim.key
+else
+ cp $file /etc/opendkim/dkim.key
+fi
+
+cp ~/config/systemfiles/main.cf /etc/postfix/main.cf
+echo >> /etc/postfix/main.cf << EOF
+
+# Use opendkim at given port as mail filter.
+non_smtpd_milters = inet:localhost:12301
+smtpd_milters = inet:localhost:12301
+EOF
+service postfix restart
+service opendkim restart
+
+echo 'TAKE NOTE:'
+if [ -f $selector.txt ]; then
+ echo 'Apply the content of '$selector'.txt to your DNS record!'
+ cat $selector.txt
+else
+ echo 'Make sure the DKIM TXT entry in your DNS record matches!'
+fi
# Paranoid maximum error notification.
notify_classes=2bounce, bounce, data, delay, policy, protocol, resource, software
-
-# Use opendkim at given port as mail filter.
-#non_smtpd_milters = inet:localhost:12301
-#smtpd_milters = inet:localhost:12301
--- /dev/null
+# The domain for which mails are signed.
+Domain plomlompom.com
+
+# Location of the private key to sign mails with.
+KeyFile /etc/opendkim/dkim.key
+
+# Identifies the signing key; useful when replacing it.
+#Selector keyname
+
+# Canonicalize the body strictly for signing, but the header (more legitimately
+# subject to reformatting by forwarding servers) less so.
+Canonicalization relaxed/simple
+
+# Invalidate the signature of mails to which additional From fields were added
+# after the signing. (See RFC for details on how this works.)
+OversignHeaders From
+
+# Where to communicate with the MTA.
+Socket inet:12301@localhost
+
+# Don't act as root.
+UserID opendkim:opendkim